Bug 232493 - mail/bmf: Update to 0.84
Summary: mail/bmf: Update to 0.84
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-21 00:39 UTC by Nathan
Modified: 2018-11-09 20:47 UTC (History)
1 user (show)

See Also:


Attachments
Update (3.95 KB, patch)
2018-10-21 00:40 UTC, Nathan
ndowens04: maintainer-approval+
Details | Diff
Revert downgrade and bump epoch (2.87 KB, patch)
2018-11-09 20:47 UTC, Jeremy Lea
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-10-21 00:39:58 UTC
portlint -AC: Looks fine
poudriere (amd64/i386/mips/mips64/armv6) 12-CURRENT: Built fine
poudriere (amd64/i386) 11.2-R : Built fine
Comment 1 Nathan 2018-10-21 00:40:44 UTC
Created attachment 198423 [details]
Update

mail/bmf: Updated to 0.84
 
 PR:             232493
 Submitted by:   Nathan <ndowens@yahoo.com>
 Approved by:    portmgr (Unmaintained port)
Comment 2 commit-hook freebsd_committer 2018-10-27 01:58:01 UTC
A commit references this bug:

Author: swills
Date: Sat Oct 27 01:57:26 UTC 2018
New revision: 483094
URL: https://svnweb.freebsd.org/changeset/ports/483094

Log:
  mail/bmf: Update to 0.84

  PR:		232493
  Submitted by:	Nathan <ndowens@yahoo.com>

Changes:
  head/mail/bmf/Makefile
  head/mail/bmf/distinfo
  head/mail/bmf/files/patch-Makefile.in
  head/mail/bmf/files/patch-configure
  head/mail/bmf/pkg-plist
Comment 3 Steve Wills freebsd_committer 2018-10-27 01:58:24 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2018-10-28 09:27:11 UTC
A commit references this bug:

Author: tobik
Date: Sun Oct 28 09:26:14 UTC 2018
New revision: 483247
URL: https://svnweb.freebsd.org/changeset/ports/483247

Log:
  Cleanup mail/bmf

  - Cleanup MYSQL option: properly declare libmysqlclient dependency,
    unbreak with other mysql version/variants
  - Respect CC and CFLAGS
  - Remove post-patch and simplify with BINARY_ALIAS
  - Do not strip binaries twice
  - Generate manpages and install them again

  PR:		232493

Changes:
  head/mail/bmf/Makefile
  head/mail/bmf/files/patch-Makefile.in
  head/mail/bmf/files/patch-configure
  head/mail/bmf/pkg-plist
Comment 5 Jeremy Lea freebsd_committer 2018-11-09 19:18:44 UTC
Looking at the history of BMF, it looks like 0.84 was released 11 days before 0.9.4, so this is actually a downgrade of the port.  Can this be reverted and the epoch bumped?  With the USES fixes obviously...
Comment 6 Jeremy Lea freebsd_committer 2018-11-09 20:47:52 UTC
Created attachment 199098 [details]
Revert downgrade and bump epoch

Looking at the CVS history of BMF, it looks like 0.84 was released 11 days before 0.9.4, so this is actually a downgrade of the port.  Can this be reverted and the epoch bumped?